lwIP 2.1.2 Lightweight IP stack

Data Structures | Macros | Functions
netbuf.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/ip6_addr.h"`

## Data Structures
struct | netbuf

## Macros
#define | NETBUF_FLAG_DESTADDR 0x01
#define | NETBUF_FLAG_CHKSUM 0x02

## Functions
struct netbuf * | netbuf_new (void)
void | netbuf_delete (struct netbuf *buf)
void * | netbuf_alloc (struct netbuf *buf, u16_t size)
void | netbuf_free (struct netbuf *buf)
err_t | netbuf_ref (struct netbuf *buf, const void *dataptr, u16_t size)
void | netbuf_chain (struct netbuf *head, struct netbuf *tail)
err_t | netbuf_data (struct netbuf *buf, void **dataptr, u16_t *len)
s8_t | netbuf_next (struct netbuf *buf)
void | netbuf_first (struct netbuf *buf)

## Detailed Description

netbuf API (for netconn API)

## Macro Definition Documentation

## ◆ NETBUF_FLAG_CHKSUM

#define NETBUF_FLAG_CHKSUM 0x02

This netbuf includes a checksum

## ◆ NETBUF_FLAG_DESTADDR

#define NETBUF_FLAG_DESTADDR 0x01

This netbuf has dest-addr/port set